package com.steerinfo.baseinfo.meterbasecussupcar.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class MeterBaseCusSupCar implements IBasePO<String> {
    /**
     * 主键编号(PK_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="主键编号",required=true)
    private String pkNo;

    /**
     * 车号(CUS_SUP_CAR_NO,VARCHAR,10)
     */
    @ApiModelProperty(value="车号",required=true)
    private String cusSupCarNo;

    /**
     * 挂号(MNEMONIC_CODE,VARCHAR,10)
     */
    @ApiModelProperty(value="挂号",required=false)
    private String mnemonicCode;

    /**
     * 司机姓名(DRIVER_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="司机姓名",required=true)
    private String driverName;

    /**
     * 身份证号(ID_NUM,VARCHAR,40)
     */
    @ApiModelProperty(value="身份证号",required=true)
    private String idNum;

    /**
     * 联系电话(TEL_NUM,VARCHAR,20)
     */
    @ApiModelProperty(value="联系电话",required=false)
    private String telNum;

    /**
     * 客商编号(CUSTOMER_SUPPLIER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="客商编号",required=true)
    private String customerSupplierNo;

    /**
     * 客商名称(CUSTOMER_SUPPLIER_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="客商名称",required=true)
    private String customerSupplierName;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String validFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    /**
     * 车辆类型编号(CAR_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="车辆类型编号",required=false)
    private String carTypeNo;

    /**
     * 车辆类型名称(CAR_TYPE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="车辆类型名称",required=false)
    private String carTypeName;

    /**
     * 车辆载重(CAR_CARRIER_WEIGHT,VARCHAR,30)
     */
    @ApiModelProperty(value="车辆载重",required=false)
    private BigDecimal carCarrierWeight;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.pkNo;
    }

    @Override
    public void setId(String pkNo) {
        this.pkNo = pkNo == null ? null : pkNo.trim();
    }

    public String getPkNo() {
        return pkNo;
    }

    public void setPkNo(String pkNo) {
        this.pkNo = pkNo == null ? null : pkNo.trim();
    }

    public String getCusSupCarNo() {
        return cusSupCarNo;
    }

    public void setCusSupCarNo(String cusSupCarNo) {
        this.cusSupCarNo = cusSupCarNo == null ? null : cusSupCarNo.trim();
    }

    public String getMnemonicCode() {
        return mnemonicCode;
    }

    public void setMnemonicCode(String mnemonicCode) {
        this.mnemonicCode = mnemonicCode == null ? null : mnemonicCode.trim();
    }

    public String getDriverName() {
        return driverName;
    }

    public void setDriverName(String driverName) {
        this.driverName = driverName == null ? null : driverName.trim();
    }

    public String getIdNum() {
        return idNum;
    }

    public void setIdNum(String idNum) {
        this.idNum = idNum == null ? null : idNum.trim();
    }

    public String getTelNum() {
        return telNum;
    }

    public void setTelNum(String telNum) {
        this.telNum = telNum == null ? null : telNum.trim();
    }

    public String getCustomerSupplierNo() {
        return customerSupplierNo;
    }

    public void setCustomerSupplierNo(String customerSupplierNo) {
        this.customerSupplierNo = customerSupplierNo == null ? null : customerSupplierNo.trim();
    }

    public String getCustomerSupplierName() {
        return customerSupplierName;
    }

    public void setCustomerSupplierName(String customerSupplierName) {
        this.customerSupplierName = customerSupplierName == null ? null : customerSupplierName.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getCarTypeNo() {
        return carTypeNo;
    }

    public void setCarTypeNo(String carTypeNo) {
        this.carTypeNo = carTypeNo == null ? null : carTypeNo.trim();
    }

    public String getCarTypeName() {
        return carTypeName;
    }

    public void setCarTypeName(String carTypeName) {
        this.carTypeName = carTypeName == null ? null : carTypeName.trim();
    }

    public BigDecimal getCarCarrierWeight() {
        return carCarrierWeight;
    }

    public void setCarCarrierWeight(BigDecimal carCarrierWeight) {
        this.carCarrierWeight = carCarrierWeight == null ? null : carCarrierWeight;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pkNo=").append(pkNo);
        sb.append(", cusSupCarNo=").append(cusSupCarNo);
        sb.append(", mnemonicCode=").append(mnemonicCode);
        sb.append(", driverName=").append(driverName);
        sb.append(", idNum=").append(idNum);
        sb.append(", telNum=").append(telNum);
        sb.append(", customerSupplierNo=").append(customerSupplierNo);
        sb.append(", customerSupplierName=").append(customerSupplierName);
        sb.append(", memo=").append(memo);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", carTypeNo=").append(carTypeNo);
        sb.append(", carTypeName=").append(carTypeName);
        sb.append(", carCarrierWeight=").append(carCarrierWeight);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}